Which agents a publish would affect, and how
GET
/v1/workspace/knowledge/reviews/{review_id}/impact
const url = 'https://api.vocapable.com/v1/workspace/knowledge/reviews/example/impact';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/workspace/knowledge/reviews/example/impact \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”review_id
required
Review Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceKnowledgeImpact
object
review_id
required
Review Id
string
pack_id
required
Pack Id
string
agents
required
Examplegenerated
{ "review_id": "example", "pack_id": "example", "current_version": 1, "agents": [ { "agent_id": "example", "name": "example", "follows_latest": true, "pinned_version": 1, "live_version": 1, "effect": "example" } ], "before": "example", "after": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}